Update OTRS from 5.0.24 to 6.0.1

Moderator: crythias

Post Reply
redgodzilla
OTRS newbie
Posts: 9
Joined: 22 Apr 2016, 08:10
OTRS Version?: OTRS 5.0.9
Real Name: Nikolay

Update OTRS from 5.0.24 to 6.0.1

Post by redgodzilla » 04 Dec 2017, 09:21

Good day,
I encountered a problem when updating the OTRS from version 5.0.24 to 6.0.1
I follow the instructions of the Administrator of errors in the process of updating the database and there is no software installation. BUT after starting the updated version there is an error: file error - JSDataInsert: not found
and nothing happens ... What went wrong?

S1lv3rW1z4rd
OTRS newbie
Posts: 21
Joined: 10 Oct 2017, 13:45
OTRS Version?: 6.0.4

Re: Update OTRS from 5.0.24 to 6.0.1

Post by S1lv3rW1z4rd » 28 Dec 2017, 10:45

Do you have Znuny addons in your local repository ?
I encountered the same issue, removed all local Znuny addons before performing the upgrade and no issue now.
Running OTRS 6 Free (6.0.4) on CentOS 7.4/MYSQL/Apache2

root
Moderator
Posts: 1182
Joined: 18 Dec 2007, 12:23
OTRS Version?: 4/5/6
Real Name: Roy Kaldung
Company: Znuny Inc.
Contact:

Re: Update OTRS from 5.0.24 to 6.0.1

Post by root » 28 Dec 2017, 12:13

S1lv3rW1z4rd wrote:I encountered the same issue, removed all local Znuny addons before performing the upgrade and no issue now.
Hi,

I'm pretty sure this can be a reason but does not must. We've upgraded many systems and never had this error.

- Roy
OTRS 4/5/6 CentOS / RHEL / Debian / SLES / MySQL / PostgreSQL / Oracle / OpenLDAP / Active Directory / SSO

You need professional services? Check out https://www.znuny.com/

ruzzetto
OTRS wizard
Posts: 166
Joined: 14 Apr 2017, 10:53
OTRS Version?: 5.0.20

Re: Update OTRS from 5.0.24 to 6.0.1

Post by ruzzetto » 17 Jan 2018, 17:48

Hi,
I have the same issue

tpsupport
OTRS expert
Posts: 52
Joined: 02 Feb 2011, 14:45
OTRS Version?: 6.0.8

Re: Update OTRS from 5.0.24 to 6.0.1

Post by tpsupport » 18 Jan 2018, 16:46

Hello and thanks for the Tip about the Znuny Packages. I had to remove every Znuny package including the Znuny Repo package to be able to login to OTRS 6. You can remove them via the command line when the update to OTRS 6 was already done.

1) Login to console as user 'otrs'.
2) List all Znuny Packages

Code: Select all

/opt/otrs/bin/otrs.Console.pl Admin::Package::List -package-name Znuny
3)Remove every package, the last package should be 'Znuny-Repo' since all packages have a dependency on that one.

Code: Select all

/opt/otrs/bin/otrs.Console.pl Admin::Package::Uninstall Znuny4OTRS-Repo
Now you can login to OTRS and go to Package Manager to reinstall the Znuny Packages.
OTRS 6 - Ubuntu 16.04 x64, Azure Database for MySQL server 5.7, Perl 5.22.1, Apache/2.4.18

root
Moderator
Posts: 1182
Joined: 18 Dec 2007, 12:23
OTRS Version?: 4/5/6
Real Name: Roy Kaldung
Company: Znuny Inc.
Contact:

Re: Update OTRS from 5.0.24 to 6.0.1

Post by root » 18 Jan 2018, 17:36

tpsupport wrote: 3)Remove every package, the last package should be 'Znuny-Repo' since all packages have a dependency on that one.

Code: Select all

/opt/otrs/bin/otrs.Console.pl Admin::Package::Uninstall Znuny4OTRS-Repo
Now you can login to OTRS and go to Package Manager to reinstall the Znuny Packages.
Upgrading Znuny4OTRS-Repo via console command (as OTRS user) should be sufficient:

Code: Select all

bin/otrs.Console.pl Admin::Package::Upgrade https://addons.znuny.com/api/addon_repos/public/1029/:latest
- Roy
OTRS 4/5/6 CentOS / RHEL / Debian / SLES / MySQL / PostgreSQL / Oracle / OpenLDAP / Active Directory / SSO

You need professional services? Check out https://www.znuny.com/

ruzzetto
OTRS wizard
Posts: 166
Joined: 14 Apr 2017, 10:53
OTRS Version?: 5.0.20

Re: Update OTRS from 5.0.24 to 6.0.1

Post by ruzzetto » 19 Jan 2018, 10:53

it doesn't work for me, although "Admin::Package::List" doesn't show me any package....i noticed run on Console.pl Admin i see:
Znuny4OTRS
Znuny4OTRS::DefaultColumnsScreen::Add - Updates the 'DynamicField' config of all DefaultColumnsScreens configs accordingly
Znuny4OTRS::DefaultColumnsScreen::Remove - Removes the 'DynamicField' config of all DefaultColumnsScreens configs accordingly
Znuny4OTRS::DynamicFieldScreen::Add - Updates the 'DynamicField' config of all Ticket::Frontend::ACTIONS configs accordingly
Znuny4OTRS::DynamicFieldScreen::Remove - Removes the 'DynamicField' config of all Ticket::Frontend::ACTIONS configs accordingly.
Znuny4OTRS::Repo::DynamicFieldsConfigExport - Exports configuration of all dynamic fields. Output can formatted as YAML or Perl which can be used as parameter for ZnunyHelper::_DynamicFieldsCreate().
Znuny4OTRS::Repo::PostMasterFilterConfigExport - Exports configuration of all postmaster filter. Output can formatted as YAML or Perl which can be used as parameter for ZnunyHelper::_PostMasterFilterC
anyway i think, in my case, that's not the only issue.
bye

root
Moderator
Posts: 1182
Joined: 18 Dec 2007, 12:23
OTRS Version?: 4/5/6
Real Name: Roy Kaldung
Company: Znuny Inc.
Contact:

Re: Update OTRS from 5.0.24 to 6.0.1

Post by root » 20 Jan 2018, 09:57

The commands you see where provided by Znuny4OTRS-Repo and if the repo is installed in 5 you can upgrade also with --force. Anyway, I solved the error you showed on more than one system by package upgrading.

- Roy
OTRS 4/5/6 CentOS / RHEL / Debian / SLES / MySQL / PostgreSQL / Oracle / OpenLDAP / Active Directory / SSO

You need professional services? Check out https://www.znuny.com/

Post Reply